commit ad8c6c5604337cf97d7ec2c32b7d870ad7d58ce4
Author: freddy77 <freddy77>
Date:   Wed Aug 27 07:28:45 2008 +0000

    allow empty password on tests

diff --git a/ChangeLog b/ChangeLog
index fd2804d..d673370 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Aug 27 09:27:49 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/common.c: allow empty password on tests
+
 Tue Aug 26 16:11:05 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/cs.c:
 	- applied Andrew Victor patch for unused gmtime result
@@ -583,4 +586,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2593 2008/08/26 14:14:33 freddy77 Exp $
+$Id: ChangeLog,v 1.2594 2008/08/27 07:28:45 freddy77 Exp $
diff --git a/src/ctlib/unittests/common.c b/src/ctlib/unittests/common.c
index 20e5e21..6e19774 100644
--- a/src/ctlib/unittests/common.c
+++ b/src/ctlib/unittests/common.c
@@ -24,7 +24,7 @@
 #include "common.h"
 #include "ctlib.h"
 
-static char software_version[] = "$Id: common.c,v 1.18 2008/07/07 11:09:42 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.19 2008/08/27 07:28:46 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -169,7 +169,7 @@ establish_login(int argc, char **argv)
 	if (*options.DATABASE)
 		strcpy(DATABASE, options.DATABASE);
 	
-	return (*USER && *PASSWORD && *SERVER && *DATABASE)? CS_SUCCEED : CS_FAIL;
+	return (*USER && *SERVER && *DATABASE)? CS_SUCCEED : CS_FAIL;
 }
 
 extern const char STD_DATETIME_FMT[];

